resource_rules:
  issues:
    rules:
      - name: Add workflow-infra::Blocked label to any workflow-infra::Ready issues that are blocked
        conditions:
          date:
            attribute: updated_at
            condition: newer_than
            interval_type: days
            interval: 7
          state: opened
          labels:
            - "workflow-infra::Ready"
          ruby: |
            is_blocked?
        actions:
          labels:
            - "workflow-infra::Blocked"
          comment: |
            Hi {{author}},

            This issue has now been labeled ~"workflow-infra::Blocked" as it was previously labeled ~"workflow-infra::Ready" with at least one open blocker related to it.

            Please ensure all open blockers are closed before applying the ~"workflow-infra::Ready" label.

            #{footer_platform("workflow-blocked")}
      - name: Add a note to any inactive workflow-infra::Blocked issues that are no longer blocked
        conditions:
          date:
            attribute: updated_at
            condition: older_than
            interval_type: weeks
            interval: 4
          state: opened
          labels:
            - "workflow-infra::Blocked"
          ruby: |
            !is_blocked?
        actions:
          comment: |
            Hi #{assignees_or_author.map { |user| "@#{user}" }.join(" ")},

            This issue has gone stale (no update for ~4 weeks) and it is labeled ~"workflow-infra::Blocked", however it is not blocked by any open issues.

            If this issue is no longer blocked, then please adjust the labels accordingly.\\
            If this issue remains blocked, then please ensure you link any issues that are blocking it otherwise you will hear from me again in ~4 weeks.

            #{footer_platform("workflow-blocked")}
